Package org.springframework.security.core.context

# Interface SecurityContext

All Superinterfaces:
  `Serializable`

All Known Implementing Classes:
  `SecurityContextImpl`, `TransientSecurityContext`

public interface SecurityContext extends Serializable
Interface defining the minimum security information associated with the current thread of execution.

The security context is stored in a `SecurityContextHolder`.

## Method Summary

Modifier and Type
Method
Description
`Authentication`
`getAuthentication()`
Obtains the currently authenticated principal, or an authentication request token.
`void`
`setAuthentication(Authentication authentication)`
Changes the currently authenticated principal, or removes the authentication information.

## Method Details

### getAuthentication

Authentication getAuthentication()
Obtains the currently authenticated principal, or an authentication request token.

Returns:
  the `Authentication` or `null` if no authentication information is available

### setAuthentication

void setAuthentication(Authentication authentication)
Changes the currently authenticated principal, or removes the authentication information.

Parameters:
  `authentication` - the new `Authentication` token, or `null` if no further authentication information should be stored